Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1065702 - remote-viewer crash adding widget
Summary: remote-viewer crash adding widget
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: virt-viewer
Version: 19
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Daniel Berrange
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-16 01:45 UTC by sean darcy
Modified: 2014-05-16 10:07 UTC (History)
4 users (show)

Fixed In Version: virt-viewer-0.5.6-2.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-05-16 10:07:58 UTC


Attachments (Terms of Use)

Description sean darcy 2014-02-16 01:45:58 UTC
Description of problem:
remote-viewer crashes on startup:

remote-viewer vnc://10.10.11.100:5900

** (remote-viewer:5503): WARNING **: Couldn't connect to accessibility bus: Failed to connect to socket /tmp/dbus-AjcHYvMm6m: Connection refused

(remote-viewer:5503): Gtk-WARNING **: Attempting to add a widget with type VncDisplay to a container of type VirtViewerDisplayVnc, but the widget is already inside a container of type VirtViewerDisplayVnc, please use gtk_widget_reparent()

Version-Release number of selected component (if applicable):

virt-viewer-0.5.6-1.fc19.x86_64

How reproducible:

start remote-viewer

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

I'm trying to connect to a windows guest on an F19 server. vncviewer works fine.

Comment 1 Christophe Fergeau 2014-02-20 12:38:25 UTC
This is fixed by https://git.fedorahosted.org/cgit/virt-viewer.git/commit/?id=bffbd2a7e7bc4ddd84e482bfb3489021b65401cf in virt-viewer 0.6.0

Comment 2 Fedora Update System 2014-05-03 20:32:51 UTC
virt-viewer-0.5.6-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/virt-viewer-0.5.6-2.fc19

Comment 3 Fedora Update System 2014-05-06 03:33:44 UTC
Package virt-viewer-0.5.6-2.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing virt-viewer-0.5.6-2.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-6007/virt-viewer-0.5.6-2.fc19
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2014-05-16 10:07:58 UTC
virt-viewer-0.5.6-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.